×
Разворачиваем клиента API Google Cloud Text-To-Speech на Heroku. Легко и просто (17 июнь 2020)

Скринкаст работы написанного на основе фреймворка Ruby on Rails несложного механизма, позволяющего качественную (основано на алгоритмах сверточной нейронной сети) конвертацию текста в звуковые файлы посредством обращения к бесплатному (аж целый год с момента регистрации!) API Google Cloud Text-To-Speech - положил начало живейшему обсуждению в англоязычном youtube на канале автора, что одновременно и обрадовало и огорчило.

Вопрос Error @rails/webpacker@5.1.1: The engine "node" is incompatible with this module

Больше
2 мес. 2 дн. назад #1 от cool guy
Получил с гитхаба предупреждение о необходимости обновить одно из перечисленных в package.json (rails 6) зависимостей, но при запуске
yarn upgrade

или
yarn upgrade --latest

возвращается ошибка:
info fsevents@1.2.12: The platform "linux" is incompatible with this module.
info "fsevents@1.2.12" is an optional dependency and failed compatibility check. Excluding it from installation.
error @rails/webpacker@5.1.1: The engine "node" is incompatible with this module. Expected version ">=10.13.0". Got "8.17.0"
error Found incompatible module.

Что делать?

Пожалуйста Войти или Регистрация, чтобы присоединиться к беседе.

Больше
2 мес. 2 дн. назад #2 от evgenij
Обновите node.js.
nvm или npm в помосчь.

Have a lot of fun!

Пожалуйста Войти или Регистрация, чтобы присоединиться к беседе.

Больше
2 мес. 2 дн. назад #3 от serge
Использую nmp:
npm cache clean -f
npm install -g n
n stable

А вообще дело вкуса, можно и из бинарников обновить. Статья в тему:
phoenixnap.com/kb/update-node-js-version

А я смогу! - А поглядим! - А я упрямый!

Пожалуйста Войти или Регистрация, чтобы присоединиться к беседе.

Больше
2 мес. 2 дн. назад #4 от serge
Потом уже можно и
yarn upgrade
Последний шаг, обновление пакетов до актуальных версий, можно вот так:
npm i -g npm-check-updates && ncu -u && npm i
Отличная статья в тему.

А я смогу! - А поглядим! - А я упрямый!

Пожалуйста Войти или Регистрация, чтобы присоединиться к беседе.

Больше
2 мес. 2 дн. назад #5 от evgenij
npm up
node -v
yarn upgrade --latest

Have a lot of fun!

Пожалуйста Войти или Регистрация, чтобы присоединиться к беседе.